This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 538143 - Error message needs to be more specific when you have an invalid location when you create new content provider
Error message needs to be more specific when you have an invalid location whe...
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
unspecified
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Rajan Timaniya
: SubBug
Depends On:
Blocks: rhq_spearhead rhq_core_next
  Show dependency treegraph
 
Reported: 2009-11-17 13:23 EST by Preethi Thomas
Modified: 2011-04-27 15:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-27 15:14:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2009-11-17 13:23:39 EST
Description of problem:

Error message needs to be more specific when you have an invalid location when you create new content provider for RHN Hosted source.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Content->Content Providers->Create New
2. Select RHN Hosted Source
2. Edit the location to a bad value, i.e., "htp://"
3. Enter all the other required values
4. 
  
Actual results:
Error: Failed to start adapter for [ContentSource: id=[0], name=[test-negative2]]. Cause: org.rhq.enterprise.server.plugin.pc.content.InitializationException:java.lang.reflect.InvocationTargetException -> java.lang.reflect.InvocationTargetException:null -> java.lang.IllegalArgumentException:Invalid 'location' property

Expected results:

An error message that makes sense to the user. Saying that the Invalid location property

Additional info:
Comment 1 wes hayutin 2010-02-16 11:59:24 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 12:04:31 EST
making sure we're not missing any bugs in rhq_triage
Comment 3 Corey Welton 2010-12-16 09:05:06 EST
Rajan, see if this page still exists.  if not, close the bug
Comment 4 Mike Foley 2011-04-27 15:14:41 EDT
page does not exist in RHQ 4.0 CR1.

Note You need to log in before you can comment on or make changes to this bug.